## helma.image.imageio.gif
Class GIFImageWriteParam

    java.lang.Object
      javax.imageio.IIOParam
          javax.imageio.ImageWriteParam
              helma.image.imageio.gif.GIFImageWriteParam

    public class GIFImageWriteParam

extends javax.imageio.ImageWriteParam

Field Summary

Fields inherited from class javax.imageio.ImageWriteParam
`canOffsetTiles, canWriteCompressed, canWriteProgressive, canWriteTiles, compressionMode, compressionQuality, compressionType, compressionTypes, locale, MODE_COPY_FROM_METADATA, MODE_DEFAULT, MODE_DISABLED, MODE_EXPLICIT, preferredTileSizes, progressiveMode, tileGridXOffset, tileGridYOffset, tileHeight, tileWidth, tilingMode, tilingSet`

Fields inherited from class javax.imageio.IIOParam
`controller, defaultController, destinationOffset, destinationType, sourceBands, sourceRegion, sourceXSubsampling, sourceYSubsampling, subsamplingXOffset, subsamplingYOffset`

Constructor Summary
`GIFImageWriteParam(java.util.Locale locale)`

Method Summary
`javax.imageio.ImageWriteParam` `getWriteParam(java.util.Properties properties)`

Methods inherited from class javax.imageio.ImageWriteParam

`canOffsetTiles, canWriteCompressed, canWriteProgressive, canWriteTiles, getBitRate, getCompressionMode, getCompressionQuality, getCompressionQualityDescriptions, getCompressionQualityValues, getCompressionType, getCompressionTypes, getLocale, getLocalizedCompressionTypeName, getPreferredTileSizes, getProgressiveMode, getTileGridXOffset, getTileGridYOffset, getTileHeight, getTileWidth, getTilingMode, isCompressionLossless, setCompressionMode, setCompressionQuality, setCompressionType, setProgressiveMode, setTiling, setTilingMode, unsetCompression, unsetTiling`

Methods inherited from class javax.imageio.IIOParam
`activateController, getController, getDefaultController, getDestinationOffset, getDestinationType, getSourceBands, getSourceRegion, getSourceXSubsampling, getSourceYSubsampling, getSubsamplingXOffset, getSubsamplingYOffset, hasController, setController, setDestinationOffset, setDestinationType, setSourceBands, setSourceRegion, setSourceSubsampling`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GIFImageWriteParam

    public GIFImageWriteParam(java.util.Locale locale)

Method Detail

### getWriteParam

    public javax.imageio.ImageWriteParam getWriteParam(java.util.Properties properties)

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.